org.apache.poi.hwmf.record

## Enum HwmfFont.WmfOutPrecision

- java.lang.Object
- - java.lang.Enum<HwmfFont.WmfOutPrecision>
  - - org.apache.poi.hwmf.record.HwmfFont.WmfOutPrecision

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfFont.WmfOutPrecision>
  Enclosing class:
    HwmfFont

      public static enum HwmfFont.WmfOutPrecision
      extends java.lang.Enum<HwmfFont.WmfOutPrecision>

  The output precision defines how closely the output must match the requested font's height, width, character orientation, escapement, pitch, and font type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OUT_DEFAULT_PRECIS` A value that specifies default behavior.
    `OUT_DEVICE_PRECIS` A value that specifies the choice of a device font when the system contains multiple fonts with the same name.
    `OUT_OUTLINE_PRECIS` A value that specifies the requirement for TrueType and other outline fonts.
    `OUT_PS_ONLY_PRECIS` A value that specifies a requirement for only PostScript fonts.
    `OUT_RASTER_PRECIS` A value that specifies the choice of a rasterized font when the system contains multiple fonts with the same name.
    `OUT_SCREEN_OUTLINE_PRECIS` A value that specifies a preference for TrueType and other outline fonts.
    `OUT_STRING_PRECIS` A value that is returned when rasterized fonts are enumerated.
    `OUT_STROKE_PRECIS` A value that is returned when TrueType and other outline fonts, and vector fonts are enumerated.
    `OUT_TT_ONLY_PRECIS` A value that specifies the requirement for only TrueType fonts.
    `OUT_TT_PRECIS` A value that specifies the choice of a TrueType font when the system contains multiple fonts with the same name.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfFont.WmfOutPrecision` | `valueOf(int flag)`
    `static HwmfFont.WmfOutPrecision` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfFont.WmfOutPrecision[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUT_DEFAULT_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_DEFAULT_PRECIS

      A value that specifies default behavior.

    - #### OUT_STRING_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_STRING_PRECIS

      A value that is returned when rasterized fonts are enumerated.

    - #### OUT_STROKE_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_STROKE_PRECIS

      A value that is returned when TrueType and other outline fonts, and vector fonts are enumerated.

    - #### OUT_TT_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_TT_PRECIS

      A value that specifies the choice of a TrueType font when the system contains multiple fonts with the same name.

    - #### OUT_DEVICE_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_DEVICE_PRECIS

      A value that specifies the choice of a device font when the system contains multiple fonts with the same name.

    - #### OUT_RASTER_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_RASTER_PRECIS

      A value that specifies the choice of a rasterized font when the system contains multiple fonts with the same name.

    - #### OUT_TT_ONLY_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_TT_ONLY_PRECIS

      A value that specifies the requirement for only TrueType fonts. If there are no TrueType fonts installed in the system, default behavior is specified.

    - #### OUT_OUTLINE_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_OUTLINE_PRECIS

      A value that specifies the requirement for TrueType and other outline fonts.

    - #### OUT_SCREEN_OUTLINE_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_SCREEN_OUTLINE_PRECIS

      A value that specifies a preference for TrueType and other outline fonts.

    - #### OUT_PS_ONLY_PRECIS

          public static final HwmfFont.WmfOutPrecision OUT_PS_ONLY_PRECIS

      A value that specifies a requirement for only PostScript fonts. If there are no PostScript fonts installed in the system, default behavior is specified.

  - ### Method Detail

    - #### values

          public static HwmfFont.WmfOutPrecision[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfFont.WmfOutPrecision c : HwmfFont.WmfOutPrecision.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfFont.WmfOutPrecision valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfFont.WmfOutPrecision valueOf(int flag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.